### Name: pop.projection
### Title: Calculate population growth rates by projection
### Aliases: pop.projection
### Keywords: survey

### ** Examples


stages<-c("seedling", "vegetative", "flowering")
A<-matrix(c(
0,    0,    6,
0.4,  0.6,  0.02,
0.01, 0.2,  0.25
), nrow=3, byrow=TRUE, 
    dimnames=list(stages,stages) 
)

n<-c(25,25,25)
pop.projection(A,n, 15)

eigen.analysis(A)$damping.ratio
pop.projection(A,n, 50)$pop.changes


data(whale)
A<-whale$T+whale$F
n<-c(4,38,36,22)

## convergence is slow with damping ratio close to 1
pop.projection(A,n, 10)

eigen.analysis(A)$damping.ratio

pop.projection(A,n, 250)$pop.changes




